Documentation Index

Fetch the complete documentation index at: https://docs.zilliant.com/llms.txt

Use this file to discover all available pages before exploring further.

Create record in lookup table

Prev Next
Post
/lookupTables/{id}/records

Creates a new record and returns basic information about the newly created record.

Security
HTTP
Type bearer

OAuth access token. For details, read Obtain or refresh an OAuth token.

Path parameters
id
string (base64-encoded URI) Required

Lookup table ID in base64-encoded format.

ExampleaHR0cHM6Ly9teGRldjAzeHR2czdzNHZsMi5oYW5hLm9uZGVtYW5kLmNvbS9Mb29rdXBUYWJsZSM0MjQ2ZmJlYzA5NDg0OGEyYmJhZjJkOTk3ZTE0NDE1ZQ==
Body parameters

Example of request payload as resources.

Array of object
Example{ "type": "LookupRecord", "PRODUCT_ID": "000000000000000112", "PRICE_ITEM_TYPE": "Calculation", "F_CURRENCY": "http://www.inmindcloud.com/application/application-implementation.owl#USD", "F_BIG_INT": 10, "F_BOOLEAN": true, "F_BO": "https://my302886.crm.ondemand.com/Currency#Currency_AMD", "F_DATE": 1713755940000, "F_DECIMAL": 10.1, "F_INT": 20, "F_FETCH": "Almika Service", "F_PERCENT": 20.0, "F_PRICE": [ { "type": "PriceRecord", "amountValue": 1.0, "hasCurrency": "http://www.inmindcloud.com/application/application-implementation.owl#USD", "quantityValue": 1.0, "hasUnitofMeasure": "http://eccides/800/UnitofMeasurement#EA" } ], "F_RATE": [ { "type": "RateRecord", "amountValue": 2.0, "hasCurrency": "http://www.inmindcloud.com/application/application-implementation.owl#SGD", "quantityValue": 2.0, "hasUnitofMeasure": "http://eccides/800/UnitofMeasurement#GRO" } ], "F_STRING": "Test String", "DELTA_PRICE": [ { "type": "PriceRecord", "amountValue": 3.0, "hasCurrency": "http://www.inmindcloud.com/application/application-implementation.owl#INR", "quantityValue": 3.0, "hasUnitofMeasure": "http://eccides/800/UnitofMeasurement#MMQ" } ] }
object
type
string
ExampleLookupRecord
PRODUCT_ID
string
Example000000000000000112
PRICE_ITEM_TYPE
string
ExampleCalculation
F_CURRENCY
string
Examplehttp://www.inmindcloud.com/application/application-implementation.owl#USD
F_BIG_INT
integer
Example10
F_BOOLEAN
boolean
Examplefalse
F_BO
string
Examplehttps://my302886.crm.ondemand.com/Currency#Currency_AMD
F_DATE
integer
Example1713755940000
F_DECIMAL
number
Example10.1
F_INT
integer
Example20
F_FETCH
string
ExampleAlmika Service
F_PERCENT
number
Example20.0
F_PRICE
Array of object
object
type
string
ExamplePriceRecord
amountValue
number
Example1.0
hasCurrency
string
Examplehttp://www.inmindcloud.com/application/application-implementation.owl#USD
quantityValue
number
Example1.0
hasUnitofMeasure
string
Examplehttp://eccides/800/UnitofMeasurement#EA
F_RATE
Array of object
object
type
string
ExampleRateRecord
amountValue
number
Example2.0
hasCurrency
string
Examplehttp://www.inmindcloud.com/application/application-implementation.owl#SGD
quantityValue
number
Example2.0
hasUnitofMeasure
string
Examplehttp://eccides/800/UnitofMeasurement#GRO
F_STRING
string
ExampleTest String
DELTA_PRICE
Array of object
object
type
string
ExamplePriceRecord
amountValue
number
Example3.0
hasCurrency
string
Examplehttp://www.inmindcloud.com/application/application-implementation.owl#INR
quantityValue
number
Example3.0
hasUnitofMeasure
string
Examplehttp://eccides/800/UnitofMeasurement#MMQ
Responses
200

Returns basic information about the newly created record.

{
  "id": 1,
  "type": "LookupRecord",
  "PRODUCT_ID": 112,
  "PRICE_ITEM_TYPE": "Calculation",
  "F_CURRENCY": "http://www.inmindcloud.com/application/application-implementation.owl#USD",
  "F_BIG_INT": 10,
  "F_BOOLEAN": true,
  "F_BO": "https://my302886.crm.ondemand.com/Currency#Currency_AMD",
  "F_DATE": 1713755940000,
  "F_DECIMAL": 10.1,
  "F_INT": 20,
  "F_FETCH": "Almika Service",
  "F_PERCENT": 20.0,
  "F_PRICE": [
    {
      "type": "PriceRecord",
      "amountValue": 1.0,
      "hasCurrency": "http://www.inmindcloud.com/application/application-implementation.owl#USD",
      "quantityValue": 1.0,
      "hasUnitofMeasure": "http://eccides/800/UnitofMeasurement#EA"
    }
  ],
  "F_RATE": [
    {
      "type": "RateRecord",
      "amountValue": 2.0,
      "hasCurrency": "http://www.inmindcloud.com/application/application-implementation.owl#SGD",
      "quantityValue": 2.0,
      "hasUnitofMeasure": "http://eccides/800/UnitofMeasurement#GRO"
    }
  ],
  "F_STRING": "Test String",
  "DELTA_PRICE": [
    {
      "type": "PriceRecord",
      "amountValue": 3.0,
      "hasCurrency": "http://www.inmindcloud.com/application/application-implementation.owl#INR",
      "quantityValue": 3.0,
      "hasUnitofMeasure": "http://eccides/800/UnitofMeasurement#MMQ"
    }
  ]
}
Expand All
object
type
string
ExampleLookupRecord
id
integer
Example1
PRODUCT_ID
string
Example000000000000000112
PRICE_ITEM_TYPE
string
ExampleCalculation
status
integer
Example0
last_modified
integer
Example1713955610839
F_CURRENCY
string
Examplehttp://www.inmindcloud.com/application/application-implementation.owl#USD
F_BIG_INT
integer
Example10
F_BOOLEAN
boolean
Examplefalse
F_BO
string
Examplehttps://my302886.crm.ondemand.com/Currency#Currency_AMD
F_DATE
integer
Example1713755940000
F_DECIMAL
number
Example10.1
F_INT
integer
Example20
F_FETCH
string
ExampleAlmika Service
F_PERCENT
number
Example20.0
F_PRICE
Array of object
object
id
string
Example37582
type
string
ExamplePriceRecord
amountValue
number
Example1.0
hasCurrency
string
Examplehttp://www.inmindcloud.com/application/application-implementation.owl#USD
quantityValue
number
Example1.0
hasUnitofMeasure
string
Examplehttp://eccides/800/UnitofMeasurement#EA
F_RATE
Array of object
object
id
string
Example1215
type
string
ExampleRateRecord
amountValue
number
Example2.0
hasCurrency
string
Examplehttp://www.inmindcloud.com/application/application-implementation.owl#SGD
quantityValue
number
Example2.0
hasUnitofMeasure
string
Examplehttp://eccides/800/UnitofMeasurement#GRO
F_STRING
string
ExampleTest String
DELTA_PRICE
Array of object
object
id
string
Example37583
type
string
ExamplePriceRecord
amountValue
number
Example3.0
hasCurrency
string
Examplehttp://www.inmindcloud.com/application/application-implementation.owl#INR
quantityValue
number
Example3.0
hasUnitofMeasure
string
Examplehttp://eccides/800/UnitofMeasurement#MMQ